# std::make_error_code(std::future_errc)

From cppreference.com
< cpp‎ | thread‎ | future errc

Defined in header `<future>` |  |
std::error_code make_error_code( std::future_errc e ); |  | (since C++11)

Constructs an std::error_code object from a value of type std::future_errc as if by:

std::error_code (static_cast<int>(e), std::future_category ()).

This function is called by the constructor of std::error_code when given an std::future_errc argument.

### Parameters

e | - | error code number

### Return value

A value of type std::error_code that holds the error code number from `e` associated with the error category "future".

### Example

| This section is incomplete Reason: no example

### See also

error_code (C++11) | holds a platform-dependent error code (class)
future_errc (C++11) | identifies the future error codes (enum)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/future_errc/make_error_code&oldid=105491"